/**
 * Выключаем $ у jQuery
 */
jQuery.noConflict();

/**
 * Выключаем Firebug
 */
if (!window.console || !console.firebug)
{
    var names = ["log", "debug", "info", "warn", "error", "assert", "dir", "dirxml",
    "group", "groupEnd", "time", "timeEnd", "count", "trace", "profile", "profileEnd"];

    window.console = {};
    for (var i = 0; i < names.length; ++i)
        window.console[names[i]] = function() {}
}
function osm_getTileURL(bounds) {


    var res = this.map.getResolution();
    var x = Math.round((bounds.left - this.maxExtent.left) / (res * this.tileSize.w));
    var y = Math.round((this.maxExtent.top - bounds.top) / (res * this.tileSize.h));
    var z = this.map.getZoom();
    var limit = Math.pow(2, z);

    if (y < 0 || y >= limit) {
        return OpenLayers.Util.getImagesLocation() + '404.png';
    } else {
        x = ((x % limit) + limit) % limit;
        return this.url + z + '/' + x + '/' + y + '.' + this.type;
    }
}

//для страницы участников события, для возможности переключения между формами
var changeInviteForm = function(elem){

    if (jQuery('#drop_button:visible').length) {

      jQuery('#drop_button').hide().find('input:text').val('');
      jQuery('#new_person').show().find('input:text:first').focus();
    }
    else if (jQuery('#new_person:visible').length) {

      jQuery('#new_person').hide().find('input:text').val('');
      jQuery('#drop_button').show().find('input:text:first').focus();
    }
}

function showAtocompiteInput (){

  var list = document.getElementById('drop_button');
  if (list.style.display == 'block') {
    list.style.display = 'none';
  }
  else {
    list.style.display = 'block';
  }
}
 function showInviteInput() {
  var new_person = document.getElementById('new_person');
  var list = document.getElementById('drop_button');
  //var list_but = document.getElementById('drop_button');
  if (list.style.display == 'block') {
    list.style.display = 'none';
    //list_but.style.display = 'none';
    new_person.style.display = 'block';
  }
  else {
    list.style.display = 'block';
    //list_but.style.display = 'block';
    new_person.style.display = 'none';
  }
}

/**
 * Подсветка инпутов при blur
 *
 */
jQuery.fn.hint = function (blurClass) {

  if (!blurClass) {
    blurClass = 'blur';
  }

  return this.each(function () {
    // get jQuery version of 'this'
    var $input = jQuery(this),

    // capture the rest of the variable to allow for reuse
    title = $input.parents('div[name]:first').attr('name'),
    $form = jQuery(this.form),
    $win = jQuery(window);


    function remove() {

      if ($input.val() === title && $input.hasClass(blurClass)) {
        $input.val('').removeClass(blurClass);
      }
    }

    // only apply logic if the element has the attribute
    if (title) {
      // on blur, set value to title attr if text is blank
      $input.blur(function () {
        if ($input.val() === '' &&  $input.is(':visible')) {

          $input.addClass(blurClass).val(title);
        }
      })
      .focus(remove)
      .blur()
      ; // now change all inputs to title

      // clear the pre-defined text when form is submitted
      $form.submit(remove);
      $win.unload(remove); // handles Firefox's autocomplete
    }
  });
};

//закрытие flash сообщений
jQuery(document).ready(function(){

  jQuery('form.eform :text, form.eform textarea').hint();


  // для гребаных диалоговых форм чтобы работал ентер
  jQuery('.ui-dialog form.eform:first').live('keypress', function(e){
    if (e.keyCode == '13') {
      e.preventDefault();
      jQuery(this).trigger('submit');
    }
  });

  jQuery('.flash .close img').click(function(event){

    event.preventDefault();
    event.stopPropagation();
      jQuery(this).parents('div.flash:first').fadeOut('slow');
    });
   
});