jQuery(document).ready(function(){
  
  jQuery('.rating_placeholder .rating_vote').live('click', function(e)
  {
    e.preventDefault();
    
    $el = jQuery(this);
    $placeholder = $el.parents('.rating_placeholder');
    $value = $placeholder.find('.rating_value');
    
    jQuery.ajax({
      url: $el.attr('href'),
      method: 'GET',
      global: false,
      dataType: 'json',
      beforeSend: function(){
        $placeholder.toggleClass('rating_placeholder_processed');
      },
      complete: function(){
        $placeholder.toggleClass('rating_placeholder_processed');
      },
      cache: false,
      success: function(data){
        
        if (data.type == 'error') 
        {
          $placeholder.bt(data.text, {
            trigger: 'click',
            positions: 'top'
          });
          $placeholder.btOn();

        } else {
          
          $placeholder.bt('Cпасибо, ваш голос засчитан. Потрачено силы: ' + data.cost + '. Осталось силы: ' + data.power + '.', {
            trigger: 'click',
            positions: 'top'
          });
          $placeholder.btOn();
          $value.text(data.text);
          
          $value.toggleClass('rating_value_negative', parseInt(data.text) < 0);
          $value.toggleClass('rating_value_positive', parseInt(data.text) > 0);
          $value.toggleClass('rating_value_neutral', parseInt(data.text) == 0);
          
        }
      }
    });
  }); 
  
});